curl --compressed "https://api.coinmetrics.io/v4/timeseries/mining-pool-tips-summary?assets=btc&page_size=3&pretty=true&api_key=<your_key>"{
"data": [
{
"asset": "btc",
"time": "2021-04-20T15:38:35.378090000Z",
"tips_count": "2",
"block_hashes_at_tip": "1",
"tips": [
{
"last_time": "2021-04-20T15:26:21.615787000Z",
"height": "679916",
"hash": "0000000000000000000b014cad322db899c4fcffc2bdbe1968c6fa85217308a2",
"pool_count": "2"
},
{
"last_time": "2021-04-20T15:38:35.378090000Z",
"height": "679917",
"hash": "000000000000000000004035d600016c2005b4238acb2750625126542b8033a0",
"pool_count": "10"
}
]
},
{
"asset": "btc",
"time": "2021-04-20T15:38:35.543325000Z",
"tips_count": "2",
"block_hashes_at_tip": "1",
"tips": [
{
"last_time": "2021-04-20T15:26:21.351310000Z",
"height": "679916",
"hash": "0000000000000000000b014cad322db899c4fcffc2bdbe1968c6fa85217308a2",
"pool_count": "1"
},
{
"last_time": "2021-04-20T15:38:35.543325000Z",
"height": "679917",
"hash": "000000000000000000004035d600016c2005b4238acb2750625126542b8033a0",
"pool_count": "11"
}
]
},
{
"asset": "btc",
"time": "2021-04-20T15:38:35.744213000Z",
"tips_count": "1",
"block_hashes_at_tip": "1",
"tips": [
{
"last_time": "2021-04-20T15:38:35.744213000Z",
"height": "679917",
"hash": "000000000000000000004035d600016c2005b4238acb2750625126542b8033a0",
"pool_count": "12"
}
]
}
],
"next_page_token": "0.MjAyMS0wNC0yMFQxNTozODozNS4zNzgwOTBa",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/mining-pool-tips-summary?api_key=<your_key>&pretty=true&assets=btc&page_size=3&next_page_token=0.MjAyMS0wNC0yMFQxNTozODozNS4zNzgwOTBa"
}Mining pool tips summary (experimental)
Returns mining pool tips summaries for the specified assets.
Lists last tips that we saw in all mining pools that were active during the past hour.
A new summary is created when we detect any change in current tips across all mining pools.
This endpoint is useful for those who want to track forks and reorgs by visualizing the distribution of currently active tips between mining pools.
Results are ordered by tuple (asset, time).
To fetch the next page of results use next_page_url JSON response field.
curl --compressed "https://api.coinmetrics.io/v4/timeseries/mining-pool-tips-summary?assets=btc&page_size=3&pretty=true&api_key=<your_key>"{
"data": [
{
"asset": "btc",
"time": "2021-04-20T15:38:35.378090000Z",
"tips_count": "2",
"block_hashes_at_tip": "1",
"tips": [
{
"last_time": "2021-04-20T15:26:21.615787000Z",
"height": "679916",
"hash": "0000000000000000000b014cad322db899c4fcffc2bdbe1968c6fa85217308a2",
"pool_count": "2"
},
{
"last_time": "2021-04-20T15:38:35.378090000Z",
"height": "679917",
"hash": "000000000000000000004035d600016c2005b4238acb2750625126542b8033a0",
"pool_count": "10"
}
]
},
{
"asset": "btc",
"time": "2021-04-20T15:38:35.543325000Z",
"tips_count": "2",
"block_hashes_at_tip": "1",
"tips": [
{
"last_time": "2021-04-20T15:26:21.351310000Z",
"height": "679916",
"hash": "0000000000000000000b014cad322db899c4fcffc2bdbe1968c6fa85217308a2",
"pool_count": "1"
},
{
"last_time": "2021-04-20T15:38:35.543325000Z",
"height": "679917",
"hash": "000000000000000000004035d600016c2005b4238acb2750625126542b8033a0",
"pool_count": "11"
}
]
},
{
"asset": "btc",
"time": "2021-04-20T15:38:35.744213000Z",
"tips_count": "1",
"block_hashes_at_tip": "1",
"tips": [
{
"last_time": "2021-04-20T15:38:35.744213000Z",
"height": "679917",
"hash": "000000000000000000004035d600016c2005b4238acb2750625126542b8033a0",
"pool_count": "12"
}
]
}
],
"next_page_token": "0.MjAyMS0wNC0yMFQxNTozODozNS4zNzgwOTBa",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/mining-pool-tips-summary?api_key=<your_key>&pretty=true&assets=btc&page_size=3&next_page_token=0.MjAyMS0wNC0yMFQxNTozODozNS4zNzgwOTBa"
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

